/*****************************************************************************/
/*             Copyright (c) 1994 by Jyrki Salmi <jytasa@jyu.fi>             */
/*        You may modify, recompile and distribute this file freely.         */
/*****************************************************************************/

#ifndef _DIR_H_
#define _DIR_H_

typedef struct _DIR_ENTRY {

  U8 *name;
  U32 *size;
  U16 *date;
  U16 *time;
  U32 *attribute;

#ifdef NT
  HANDLE handle ;
  LPWIN32_FIND_DATA find_buf ;
#else
  U32 handle;
  U8 *find_buf; /* FILEFINDBUF3 */
#endif
  U8  search_attr ;
} DIR_ENTRY;

#ifdef NT
#define DIR_FIND_DIRECTORY      1
#else
#define DIR_FIND_DIRECTORY      MUST_HAVE_DIRECTORY
#endif
_PROTOTYP( U32 dir_find_first,(U8 *, U32, DIR_ENTRY *));
_PROTOTYP( U32 dir_find_next,(DIR_ENTRY *));
_PROTOTYP( U32 dir_find_close,(DIR_ENTRY *));

#endif /* _DIR_H_ */
